[AI34-3]Quick-search report Query(Beta)
Query the status of report generation by using the report ID generated through the creation of the pre-research report interface.
Please note that the report can only be downloaded within the validity period of the pre-research report link. The validity period is within 3 hours after the report is created.
Request Parameters
List of parameters supported by this API endpoint
| Name | Type | Example | Description |
|---|---|---|---|
Required | string | f70a279b-c000-4a6d-8319-61672debd623 | report_id |
Response Schema
Structure of the API response data
| Field Name | Type | Example | Description |
|---|---|---|---|
data | object | - | response data |
report_url | string | https://cn-patsnap-export.cdn.zhihuiya.com/7/20250226/eureka/scvdd%3D804a58753458dae8017e32ddb27c5d5cc01d285f | URL of the quick-search report |
report_status | string | SUCCEED | Return status value(SUCCEED,RUNNING,FAILED) |
head_player_analysis | object | {
"head_player_analysis": {}
} | Head player analysis |
key_patent_interpretation | object | {
"key_patent_interpretation": {}
} | Key patent interpretation |
statusRequired | boolean | false | Status |
error_msg | string | The request parameter format is incorrect! | Error Message |
error_codeRequired | integer | 0 | Error Code |
Success Response Example
Example of a successful API response
JSON
{
"data": {
"report_url": "https://cn-patsnap-export.cdn.zhihuiya.com/7/20250226/eureka/scvdd%3D804a58753458dae8017e32ddb27c5d5cc01d285f",
"report_status": "SUCCEED",
"head_player_analysis": {
"head_player_analysis": {}
},
"key_patent_interpretation": {
"key_patent_interpretation": {}
}
},
"status": true,
"error_code": 0
}Error Codes
List of possible error codes returned by this endpoint
Business Errors
| Error Code | Description |
|---|---|
68300004 | Invalid parameter! |
68300005 | Search api failure! |
68300006 | Analytic basic access error! |
68300007 | Bad request! |
68300008 | Service error, please try again later! |
68300010 | The file does not comply with upload specifications! |
Platform Errors
| Error Code | Description |
|---|---|
67200000 | API call exceeds the total limit set by the platform! |
67200001 | API call exceeds the total limit set by the platform! |
67200002 | The current call rate is too fast, exceeding the current configuration limit QPS! |
67200003 | The key and secret parameters for applying for the token are incorrect or the client has been disabled! |
67200004 | The requested api does not have permission. Please contact our support personnel! |
67200005 | Insufficient account balance/number of calls! |
67200006 | The client has exceeded the activation validity period! |
67200007 | The current call exceeds the configured usage limit of the day! |
67200008 | Please check if the required apikey in the query parameter has been transmitted! |
67200009 | The apikey does not match the passed bearerToken. Please check if a valid token is being used! |
67200012 | The request is illegal! |
67200100 | The current server status is busy, request response timeout! |
67200101 | The API requested currently does not exist. Please check the request path! |
HTTP Status Codes
| Status Code | Description |
|---|---|
0 | Success |
401 | Unauthorized |
403 | Forbidden |
404 | Not Found |
Performance Metrics
Expected performance characteristics for this endpoint
Normal Response Time
5000 ms
Max Response Time
10000 ms